flukit 1.0.2

  • Readme
  • Changelog
  • Installing
  • 92

package_src #

A new Flutter package.

Getting Started #

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

[1.0.2] #

  • Add InfiniteListView、GradientButton

[0.0.4] #

  • fix some bug

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flukit: ^1.0.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flukit/flukit.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
89
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
92
Learn more about scoring.

We analyzed this package on Jul 2, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.8.4
  • pana: 0.13.13
  • Flutter: 1.17.5

Analysis suggestions

Package not compatible with SDK dart

because of import path [flukit] that is in a package requiring null.

Health suggestions

Format lib/example/example.dart.

Run flutter format to format lib/example/example.dart.

Format lib/src/animated_rotation_box.dart.

Run flutter format to format lib/src/animated_rotation_box.dart.

Format lib/src/gradient_button.dart.

Run flutter format to format lib/src/gradient_button.dart.

Fix additional 4 files with analysis or formatting issues.

Additional issues in the following files:

  • lib/src/gradient_circular_progress_indicator.dart (Run flutter format to format lib/src/gradient_circular_progress_indicator.dart.)
  • lib/src/infinite_listview.dart (Run flutter format to format lib/src/infinite_listview.dart.)
  • lib/src/scale_view.dart (Run flutter format to format lib/src/scale_view.dart.)
  • lib/src/swiper.dart (Run flutter format to format lib/src/swiper.dart.)

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and flukit.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.12 1.14.13
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6 1.2.0
vector_math 2.0.8
Dev dependencies
flutter_test